## org.eclipse.amp.escape.command
Class ExecuteJavaByClassNameHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.command.ExecuteJavaByClassNameHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class ExecuteJavaByClassNameHandler

extends ExecuteHandler

Execute a Java scape by class name. The scape class name is specified by the command parameter "scapeClassName". Does not implement any `ResourceHandler` functionality (ie: enable/disable based on currently selected resource).

Constructor Summary
`ExecuteJavaByClassNameHandler()` Constructor called when executed via eclipse commmand.
`ExecuteJavaByClassNameHandler(boolean headless)` Construct `ExecuteJavaByClassNameHandler`.

Method Summary
`java.lang.Object` `execute(org.eclipse.core.commands.ExecutionEvent event)` Execute the specified scape.Entry point when this handler is called by a command.
`void` `execute(java.lang.String scapeClassName)` Execute the specified scape.
`protected void` `executeOpen(EclipseEscapeRunner eclipseRunner, java.lang.Object executed, org.eclipse.core.runtime.IProgressMonitor monitor)` Open the scape via the supplied eclipse runner.
`protected boolean` `handleSelect(java.lang.Object sel)` Handle select.
`void` `setEnabled(java.lang.Object evaluationContext)`

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`createRunner, execute, isHeadless, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteJavaByClassNameHandler

    public ExecuteJavaByClassNameHandler()

  Constructor called when executed via eclipse commmand.

### ExecuteJavaByClassNameHandler

    public ExecuteJavaByClassNameHandler(boolean headless)

  Construct `ExecuteJavaByClassNameHandler`.

  Parameters:
    `headless` - headless execution?

Method Detail

### execute

    public void execute(java.lang.String scapeClassName)
                 throws org.eclipse.core.commands.ExecutionException

  Execute the specified scape.

  Parameters:
    `scapeClassName` - scape class name
  Throws:
    `org.eclipse.core.commands.ExecutionException` - if problem executing

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Execute the specified scape.Entry point when this handler is called by a command. Calls `execute(String)` with the value of the `scapeClassName` parameter of the executing command.

  Specified by:
    `execute` in interface `org.eclipse.core.commands.IHandler`
  Overrides:
    `execute` in class `ResourceHandler`
  Parameters:
    `event` - An event containing all the information about the current state of the application; must not be `null`.
  Returns:
    the result of the execution. Reserved for future use, must be `null`.
  Throws:
    `org.eclipse.core.commands.ExecutionException` - if an exception occurred during execution.

### executeOpen

    protected void executeOpen(EclipseEscapeRunner eclipseRunner,
                               java.lang.Object executed,
                               org.eclipse.core.runtime.IProgressMonitor monitor)

  Open the scape via the supplied eclipse runner. Called by a new job created by `ExecuteHandler.execute(Object, String)`.

  Specified by:
    `executeOpen` in class `ExecuteHandler`
  Parameters:
    `eclipseRunner` - eclipse runner
    `executed` - scape class name
    `monitor` - progress monitor

### setEnabled

    public void setEnabled(java.lang.Object evaluationContext)

  Specified by:
    `setEnabled` in interface `org.eclipse.core.commands.IHandler2`
  Overrides:
    `setEnabled` in class `ExecuteHandler`

### handleSelect

    protected boolean handleSelect(java.lang.Object sel)

  Description copied from class: `ExecuteHandler`
  Handle select.

  Specified by:
    `handleSelect` in class `ExecuteHandler`
  Parameters:
    `sel` - the sel
  Returns:
    true, if successful